org.eclipse.ease.lang.python.ui.completion

## Class PythonHelpResolver

- java.lang.Object
- - org.eclipse.ease.lang.python.ui.completion.PythonHelpResolver

All Implemented Interfaces:
  IHelpResolver

    public class PythonHelpResolver
    extends java.lang.Object
    implements IHelpResolver

Custom `IHelpResolver` for Python objects. Actual help resolving is done in Python and this class only stores the results.

### Constructor Summary

Constructors
Constructor and Description
`PythonHelpResolver(java.lang.String plain, java.lang.String html)` Constructor only stores parameters to members.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `resolveHelp()` Retrieve test help content.
`java.lang.String` `resolveHTMLHelp()` Retrieve HTML help content.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PythonHelpResolver

    public PythonHelpResolver(java.lang.String plain,
                              java.lang.String html)

Constructor only stores parameters to members.

Parameters:
  `plain` - see `fPlain`
  `html` - see `fHtml`

### Method Detail

#### resolveHelp

    public java.lang.String resolveHelp()

Description copied from interface: `IHelpResolver`
Retrieve test help content.

Specified by:
  `resolveHelp` in interface `IHelpResolver`
Returns:
  ASCII content

#### resolveHTMLHelp

    public java.lang.String resolveHTMLHelp()

Description copied from interface: `IHelpResolver`
Retrieve HTML help content.

Specified by:
  `resolveHTMLHelp` in interface `IHelpResolver`
Returns:
  html content